curl --request GET \
--url https://billing.basaltic.sh/v1/invoices/{invoice_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://billing.basaltic.sh/v1/invoices/{invoice_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://billing.basaltic.sh/v1/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"crn": "crn:billing:::invoice/550e8400-e29b-41d4-a716-446655440000",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "INV-2026-000042",
"period_start": "2026-06-01",
"period_end": "2026-07-01",
"subtotal": "128.40",
"credits_applied": "20.00",
"total": "108.40",
"currency": "BRL",
"refunded_amount": "25.00",
"disputed_amount": "0.00",
"status": "open",
"created_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"pdf_url": "/v1/invoices/019fbbe8-7201-7aad-9475-e6ea0631a4a3/pdf",
"items": [
{
"kind": "usage",
"description": "m1.small",
"quantity": "720",
"unit_price": "0.065",
"amount": "46.80",
"sku": "compute.instance.m1.small",
"unit": "hour"
}
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Obtener una factura con sus conceptos
billing:GetInvoice. Consulta permisos de facturación para obtener la lista completa, lo que cubre cada una y un ejemplo de política.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
Respuesta
La factura, incluyendo el uso y las líneas de crédito.
Identidad de factura de ámbito de organización global.
"crn:billing:::invoice/550e8400-e29b-41d4-a716-446655440000"
"INV-2026-000042"
Primer día del mes de facturación UTC.
"2026-06-01"
Fin exclusivo (primer día del mes siguiente).
"2026-07-01"
"128.40"
"20.00"
"108.40"
"BRL"
Reembolsos confirmados menos revocaciones de reembolso fallidas, en BRL.
"25.00"
Principal de la disputa retirado menos fondos restablecidos; excluye las tarifas del proveedor.
"0.00"
open, paid, past_due, uncollectible, void Ruta del estado de cuenta PDF, generado bajo demanda por GET /v1/invoices/{invoice_id}/pdf bajo la misma autorización que este documento.
"/v1/invoices/019fbbe8-7201-7aad-9475-e6ea0631a4a3/pdf"
Elementos de línea; presentes solo en el extremo de detalle.
Show child attributes
Show child attributes

